Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SecondaryInterfaceListOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SecondaryInterfaceList`, `ClientWireProtocol.SecondaryInterfaceList.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.SecondaryInterfaceListOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getAddress​(int index)` | `repeated string address = 1;`
`com.google.protobuf.ByteString` | `getAddressBytes​(int index)` | `repeated string address = 1;`
`int` | `getAddressCount()` | `repeated string address = 1;`
`List<String>` | `getAddressList()` | `repeated string address = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getAddressList

List<String> getAddressList()
`repeated string address = 1;`

### getAddressCount

int getAddressCount()
`repeated string address = 1;`

### getAddress

String getAddress​(int index)
`repeated string address = 1;`

### getAddressBytes

com.google.protobuf.ByteString getAddressBytes​(int index)
`repeated string address = 1;`